Package org.apache.sysds.runtime.frame.data.compress

## Class CompressedFrameBlockFactory

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.compress.CompressedFrameBlockFactory

    public class CompressedFrameBlockFactory
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static FrameBlock` `compress​(FrameBlock fb)`
`static FrameBlock` `compress​(FrameBlock fb, int k, WTreeRoot root)`
`static FrameBlock` `compress​(FrameBlock fb, FrameCompressionSettings cs)`
`static FrameBlock` `compress​(FrameBlock fb, FrameCompressionSettingsBuilder csb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### compress

    public static FrameBlock compress​(FrameBlock fb)

#### compress

    public static FrameBlock compress​(FrameBlock fb,
                                      int k,
                                      WTreeRoot root)

#### compress

    public static FrameBlock compress​(FrameBlock fb,
                                      FrameCompressionSettingsBuilder csb)

#### compress

    public static FrameBlock compress​(FrameBlock fb,
                                      FrameCompressionSettings cs)